package com.incubator.common.data;

/**
 * redis表对应的key
 * key: 表名/唯一ID/对象
 * 默认全局保存玩家数据，对于那种使用不是很频繁的数据，autoLoad 设置为 false
 */
public enum ConstsTR {

	////////////////////////////////////////////////////////////////////////////////////////////////////////

	playerInfo("p-"),//player
	robotInfo("r-"),//robot
	autoAi("a-"),//autoai


	///////////////////////////////////////////////////////////////////////////////////////////////////////
	//											玩家全局数据
	///////////////////////////////////////////////////////////////////////////////////////////////////////



	
	
	///////////////////////////////////////////////////////////////////////////////////////////////////////
	//											公共模块键值
	///////////////////////////////////////////////////////////////////////////////////////////////////////
	NAME_MODULE("NAME_MODULE"),						// 全局玩家名字
	CDK("cdk"),										// 全局CDK
	CDK_LOCK("cdk_lock"),							// 全局CDK分布式锁
	
	
	;
	public String value;
	public boolean autoLoad;

	private ConstsTR(String tr, boolean autoLoad) {
		this.value = tr;
		this.autoLoad = autoLoad;
	}
	
	private ConstsTR(String tr) {
		this.value = tr;
		this.autoLoad = true;
	}
}
