package com.incubator.common.data;

import java.io.Serializable;

/**
 * 全局数据结构
 */

public class GlobalData {
	
	/** 数据结构, int_int */
	public static class IntData {
		public int value1;
		public int value2;
		
		public IntData() {}
		public IntData(int value1, int value2) {
			this.value1 = value1;
			this.value2 = value2;
		}
		
		public int getValue() {
			return value1 + value2;
		}

		public int getValue1() {
			return value1;
		}

		public void setValue1(int value1) {
			this.value1 = value1;
		}

		public int getValue2() {
			return value2;
		}

		public void setValue2(int value2) {
			this.value2 = value2;
		}
	}
	
	/** 数据结构, int_boolean */
	public static class IntBoolData {
		public int value1;
		public boolean value2;
		
		public IntBoolData() {}
		public IntBoolData(int value1, boolean value2) {
			this.value1 = value1;
			this.value2 = value2;
		}

		public int getValue1() {
			return value1;
		}

		public void setValue1(int value1) {
			this.value1 = value1;
		}

		public boolean isValue2() {
			return value2;
		}

		public void setValue2(boolean value2) {
			this.value2 = value2;
		}

		public void reset() {
			this.value1 = 0;
			this.value2 = false;
		}
		
		public String getValue() {
			return value1 + ", " + value2;
		}
	}
	
	/** 数据结构, int_boolean */
	public static class StringBoolData {
		public String value1;
		public boolean value2;
		
		public StringBoolData() {}
		public StringBoolData(String value1, boolean value2) {
			this.value1 = value1;
			this.value2 = value2;
		}

		public String getValue1() {
			return value1;
		}

		public void setValue1(String value1) {
			this.value1 = value1;
		}

		public boolean isValue2() {
			return value2;
		}

		public void setValue2(boolean value2) {
			this.value2 = value2;
		}

		public void reset() {
			this.value1 = null;
			this.value2 = false;
		}
		
		public String getValue() {
			return value1 + ", " + value2;
		}
	}
	
	/** 数据结构, string_long */
	public static class StringLongData {
		public String value1;
		public long value2;
		
		public StringLongData(String value1, long value2) {
			this.value1 = value1;
			this.value2 = value2;
		}

		public String getValue1() {
			return value1;
		}

		public void setValue1(String value1) {
			this.value1 = value1;
		}

		public long getValue2() {
			return value2;
		}

		public void setValue2(long value2) {
			this.value2 = value2;
		}

		@Override
		public String toString() {
			return value1 + ", " + value2;
		}
	}
	
	/** 数据结构, int_int */
	public static class FloatData {
		public float value1;
		public float value2;
		
		public FloatData() {}
		public FloatData(float value1, float value2) {
			this.value1 = value1;
			this.value2 = value2;
		}

		public float getValue1() {
			return value1;
		}

		public void setValue1(float value1) {
			this.value1 = value1;
		}

		public float getValue2() {
			return value2;
		}

		public void setValue2(float value2) {
			this.value2 = value2;
		}
	}
	
	/** 数据结构, int_int */
	public static class IntByteData implements Serializable {
		private static final long serialVersionUID = 1L;
		
		public int value1;
		public byte value2;
		
		public IntByteData() {}
		public IntByteData(int value1, byte value2) {
			this.value1 = value1;
			this.value2 = value2;
		}

		public int getValue1() {
			return value1;
		}

		public void setValue1(int value1) {
			this.value1 = value1;
		}

		public byte getValue2() {
			return value2;
		}

		public void setValue2(byte value2) {
			this.value2 = value2;
		}

		@Override
		public String toString() {
			return "(" + value1 + ", " + value2 + ")";
		}
	}
	
	/** 数据结构, int_int */
	public static class IntByteByteData implements Serializable {
		private static final long serialVersionUID = 1L;
		
		public int value1;
		public byte value2;
		public byte value3;
		
		public IntByteByteData() {}
		public IntByteByteData(int value1, byte value2, byte value3) {
			this.value1 = value1;
			this.value2 = value2;
			this.value3 = value3;
		}

		public int getValue1() {
			return value1;
		}

		public void setValue1(int value1) {
			this.value1 = value1;
		}

		public byte getValue2() {
			return value2;
		}

		public void setValue2(byte value2) {
			this.value2 = value2;
		}

		public byte getValue3() {
			return value3;
		}

		public void setValue3(byte value3) {
			this.value3 = value3;
		}

		@Override
		public String toString() {
			return "(" + value1 + ", " + value2  + ", " + value3 + ")";
		}
	}
	
	/** 数据结构,  */
	public static class StringFloatData {
		public String value1;
		public float value2;
		
		public StringFloatData() {}
		public StringFloatData(String value1, float value2) {
			this.value1 = value1;
			this.value2 = value2;
		}

		public String getValue1() {
			return value1;
		}

		public void setValue1(String value1) {
			this.value1 = value1;
		}

		public float getValue2() {
			return value2;
		}

		public void setValue2(float value2) {
			this.value2 = value2;
		}
	}
	
	/** 数据结构, int_int */
	public static class IntIntData {
		public int value1;
		public int value2;
		
		public IntIntData() {}
		public IntIntData(int value1, int value2) {
			this.value1 = value1;
			this.value2 = value2;
		}

		public int getValue1() {
			return value1;
		}

		public void setValue1(int value1) {
			this.value1 = value1;
		}

		public int getValue2() {
			return value2;
		}

		public void setValue2(int value2) {
			this.value2 = value2;
		}
	}
	
	/** 数据结构, int_int */
	public static class ShortShortData {
		public Short value1;
		public Short value2;
		
		public ShortShortData() {}
		public ShortShortData(Short value1, Short value2) {
			this.value1 = value1;
			this.value2 = value2;
		}

		public Short getValue1() {
			return value1;
		}

		public void setValue1(Short value1) {
			this.value1 = value1;
		}

		public Short getValue2() {
			return value2;
		}

		public void setValue2(Short value2) {
			this.value2 = value2;
		}
	}
	
	/** 数据结构, int_long */
	public static class IntLongData {
		public int value1;
		public long value2;
		
		public IntLongData() {}
		public IntLongData(int value1, long value2) {
			this.value1 = value1;
			this.value2 = value2;
		}

		public int getValue1() {
			return value1;
		}

		public void setValue1(int value1) {
			this.value1 = value1;
		}

		public long getValue2() {
			return value2;
		}

		public void setValue2(long value2) {
			this.value2 = value2;
		}

		public String toString() {
			return "value1 : " + value1 + ", value2 : " + value2;
		}
	}
	
	/** 数据结构, int_int_long */
	public static class IntIntLongData {
		public int value1;
		public int value2;
		public long value3;
		
		public IntIntLongData() {}
		public IntIntLongData(int value1, int value2, long value3) {
			this.value1 = value1;
			this.value2 = value2;
			this.value3 = value3;
		}

		public int getValue1() {
			return value1;
		}

		public void setValue1(int value1) {
			this.value1 = value1;
		}

		public int getValue2() {
			return value2;
		}

		public void setValue2(int value2) {
			this.value2 = value2;
		}

		public long getValue3() {
			return value3;
		}

		public void setValue3(long value3) {
			this.value3 = value3;
		}

		public String toString() {
			return "value1 : " + value1 + ", value2 : " + value2 + ", value3: " + value3;
		}
		
		public void reset() {
			this.value1 = 0;
			this.value2 = 0;
			this.value3 = 0;
		}
	}
	
	/** 数据结构, int_int_long */
	public static class IntIntStringData {
		public int value1;
		public int value2;
		public String value3;
		
		public IntIntStringData() {}
		public IntIntStringData(int value1, int value2, String value3) {
			this.value1 = value1;
			this.value2 = value2;
			this.value3 = value3;
		}

		public int getValue1() {
			return value1;
		}

		public void setValue1(int value1) {
			this.value1 = value1;
		}

		public int getValue2() {
			return value2;
		}

		public void setValue2(int value2) {
			this.value2 = value2;
		}

		public String getValue3() {
			return value3;
		}

		public void setValue3(String value3) {
			this.value3 = value3;
		}

		public String toString() {
			return "value1 : " + value1 + ", value2 : " + value2 + ", value3: " + value3;
		}
	}
	
	/** 数据结构, FloatFloat */
	public static class FloatFloat {
		public float value1;
		public float value2;
		
		public FloatFloat() {}
		public FloatFloat(float value1, float value2) {
			this.value1 = value1;
			this.value2 = value2;
		}

		public float getValue1() {
			return value1;
		}

		public void setValue1(float value1) {
			this.value1 = value1;
		}

		public float getValue2() {
			return value2;
		}

		public void setValue2(float value2) {
			this.value2 = value2;
		}

		public String toString() {
			return "value1 : " + value1 + ", value2 : " + value2;
		}
	}
	
	/** 数据结构, string_string */
	public static class StringStringData {
		public String value1;
		public String value2;
		
		public StringStringData() {}		
		public StringStringData(String value1, String value2) {
			this.value1 = value1;
			this.value2 = value2;
		}
		
		public String getValue1() {
			return value1;
		}
		public void setValue1(String value1) {
			this.value1 = value1;
		}
		public String getValue2() {
			return value2;
		}
		public void setValue2(String value2) {
			this.value2 = value2;
		}
	}
		
	/** 数据结构, string_byte **/
	public static class StringByteData {
		public String string;
		public byte b;
		
		public StringByteData() {}
		
		public StringByteData(String string, byte b) {
			this.string = string;
			this.b = b;
		}

		public String getString() {
			return string;
		}

		public void setString(String string) {
			this.string = string;
		}

		public byte getB() {
			return b;
		}

		public void setB(byte b) {
			this.b = b;
		}
	}
	
	/** 数据结构, int_int_int **/
	public static class IntIntIntData {
		public int value1;
		public int value2;
		public int value3;
		
		public IntIntIntData() {}
		
		public IntIntIntData(int value1, int value2, int value3) {
			this.value1 = value1;
			this.value2 = value2;
			this.value3 = value3;
		}

		public int getValue1() {
			return value1;
		}

		public void setValue1(int value1) {
			this.value1 = value1;
		}

		public int getValue2() {
			return value2;
		}

		public void setValue2(int value2) {
			this.value2 = value2;
		}

		public int getValue3() {
			return value3;
		}

		public void setValue3(int value3) {
			this.value3 = value3;
		}
	}
	
	/** 数据结构, int_string_int**/
	public static class IntStringIntData {
		public int value1;
		public String value2;
		public int value3;
		
		public IntStringIntData () {}
		
		public IntStringIntData (int value1, String value2, int value3) {
			this.value1 = value1;
			this.value2 = value2;
			this.value3 = value3;
		}

		public int getValue1() {
			return value1;
		}

		public void setValue1(int value1) {
			this.value1 = value1;
		}

		public String getValue2() {
			return value2;
		}

		public void setValue2(String value2) {
			this.value2 = value2;
		}

		public int getValue3() {
			return value3;
		}

		public void setValue3(int value3) {
			this.value3 = value3;
		}
	}
	
	/** 数据结构, float_byte */
	public static class FloatByteData {
		public Float value1;
		public byte value2;
		
		public FloatByteData() {}
		public FloatByteData(Float value1, byte value2) {
			this.value1 = value1;
			this.value2 = value2;
		}

		public Float getValue1() {
			return value1;
		}

		public void setValue1(Float value1) {
			this.value1 = value1;
		}

		public byte getValue2() {
			return value2;
		}

		public void setValue2(byte value2) {
			this.value2 = value2;
		}
	}
	
	/** 数据结构, float_float_float */
	public static class FloatFloatFloatData {
		public Float value1;
		public Float value2;
		public Float value3;
		
		public FloatFloatFloatData() {}
		public FloatFloatFloatData(Float value1, Float value2, Float value3) {
			this.value1 = value1;
			this.value2 = value2;
			this.value3 = value3;
		}

		public Float getValue1() {
			return value1;
		}

		public void setValue1(Float value1) {
			this.value1 = value1;
		}

		public Float getValue2() {
			return value2;
		}

		public void setValue2(Float value2) {
			this.value2 = value2;
		}

		public Float getValue3() {
			return value3;
		}

		public void setValue3(Float value3) {
			this.value3 = value3;
		}
	}

	/** 数据结构, int_int[] */
	public static class IntArraysData {

		public int value1;

		public int[] value2;

		public IntArraysData() {}
		public IntArraysData(int value1, int[] value2) {
			this.value1 = value1;
			this.value2 = value2;
		}

		public int getValue1() {
			return value1;
		}

		public void setValue1(int value1) {
			this.value1 = value1;
		}

		public int[] getValue2() {
			return value2;
		}

		public void setValue2(int[] value2) {
			this.value2 = value2;
		}
	}
}