package com.incubator.common.log4j;

import org.apache.logging.log4j.core.config.ConfigurationSource;
import org.apache.logging.log4j.core.config.Configurator;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.nio.file.Files;
import java.nio.file.Paths;

/**
 * 日志工具类
 */
public class Log4jUtil {

	public static Logger getLogger(Class<?> c) {
		return LoggerFactory.getLogger(c);
	}

	/**
	 * 根据配置文件路径初始化日志配置
	 * 
	 * @param logConfigPath
	 */
	public static void initLogConfig(String logConfigPath) {
		try {
			String path = logConfigPath + File.separator + "log4j2.xml";
			ConfigurationSource source = new ConfigurationSource(Files.newInputStream(Paths.get(path)));
			Configurator.initialize(null, source);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	/**
	 * 根据配置文件路径初始化日志配置
	 * 
	 * @param in
	 */
	public static void initLogConfig(InputStream in) {
		try {
			ConfigurationSource source = new ConfigurationSource(in);
			Configurator.initialize(null, source);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
