package com.incubator.common.net.netty;

import com.incubator.common.net.Connection;
import com.incubator.common.net.ConnectionFactory;

import io.netty.channel.Channel;

/**
 * 连接实例工厂
 */
public class NettyConnectionFactory implements ConnectionFactory {
	
	private static final NettyConnectionFactory instance = new NettyConnectionFactory();

	
	public static NettyConnectionFactory getInstance() {
		return instance;
	}
	
	@Override
	public Connection buildConnection() {
		return new NettyConnection(null);
	}

	@Override
	public Connection buildConnection(Object obj) {
		if (obj instanceof Channel) {
			return new NettyConnection((Channel) obj);
		}
		return null;
	}

}
