package com.incubator.common.util;

import java.math.BigDecimal;

/**
 * 类型转换
 * @author johnc
 *
 */
public final class TypeUtil {

	public static Double getDouble(String value) {
		if (value != null && !"".equals(value)) {
			try {
				return Double.parseDouble(value);
			} catch (Exception e) {
				return null;
			}
		}
		return null;
	}

	public static Integer getInteger(String value) {
		if (value != null && !"".equals(value)) {
			try {
				return Integer.parseInt(value);
			} catch (Exception e) {
				return null;
			}
		}
		return null;
	}

	public static Long getLong(String value) {
		if (value != null && !"".equals(value)) {
			try {
				return Long.parseLong(value);
			} catch (Exception e) {
				return null;
			}
		}
		return null;
	}

	public BigDecimal getBigDecimal(String value) {
		if (value != null && !"".equals(value)) {
			try {
				return BigDecimal.valueOf(Double.parseDouble(value));
			} catch (Exception e) {
				return null;
			}
		}
		return null;
	}

}
