package com.incubator.core.net.handler;

import com.incubator.common.net.ConnectionHeartbeatListener;
import com.incubator.common.net.netty.listener.adapter.ListenerHandlerHeartbeatAdapter;
import io.netty.channel.ChannelInitializer;
import io.netty.channel.socket.SocketChannel;
import io.netty.handler.codec.http.websocketx.BinaryWebSocketFrame;
import io.netty.handler.codec.http.websocketx.TextWebSocketFrame;

public class InitalizerProtocolHandler extends ChannelInitializer<SocketChannel> {

	private final ConnectionHeartbeatListener<Object> listener;

	public InitalizerProtocolHandler(ConnectionHeartbeatListener<Object> listener) {
		this.listener = listener;
	}

	@Override
	protected void initChannel(SocketChannel ch) {
		ch.pipeline().addLast(new ListenerHandlerHeartbeatAdapter<>(listener));
	}

}