package com.incubator.core.net.http;

import com.incubator.common.log4j.Log4jUtil;
import com.incubator.common.net.Connection;
import org.slf4j.Logger;

/**
 * 描述：http网络报文处理基类
 *
 * @author agui
 */
public abstract class HttpRequestHandler extends HttpMsgBase {

	protected Logger logger = Log4jUtil.getLogger(getClass());

	private Connection session;

	private HttpRequestHandler httpRequest;

	public Connection getSession() {
		return session;
	}

	/** 绑定会话 */
	public void bindSession(Connection session) {
		this.session = session;
	}

	/** 绑定事件 **/
	public void bindHandler(HttpRequestHandler handler) {
		this.httpRequest = handler;
	}

	/** 设置消息内容 **/
	public abstract void initMsgBase() throws Exception;

	public abstract HttpResponse onDate(com.incubator.core.net.http.HttpRequest request, String args) throws Exception;

}
