package com.incubator.core.player;

import com.incubator.common.net.Connection;
import io.netty.channel.Channel;

import java.util.Date;

/**
 * 功能描述：玩家抽象基类
 */

public abstract class GPlayerBase implements GPlayerInterface {

	/** 临时数据 **/
	public volatile long lastUpdateTime = 0;
	
	/**
	 * 获取玩家session
	 */
	public abstract Connection getSession();
	
	/** 退出更新，退出清理	 */
	public abstract void onLogoutUpdate();

	/** 数据安全持久化 */
	public abstract void sync();

	/** 释放玩家的相关引用（停服时也会触发） */
	public abstract void free();
	
	/** 执行退出逻辑 */
	public abstract int doLogout();
	
	/** 玩家移除绑定了 */
	public abstract void playerRemoveSessionBind();
	
	/** 封禁玩家 */
	public abstract void forbidPlayer(int forbidSec, String desc);
	
	/** 设置登出时间 */
	public abstract int setLogoutTime(Date date);

	/** 登出时间 */
	public abstract long getLogoutTime();

	/** 玩家刷新逻辑 */
	public abstract void onPlayerUpdate();
}
