package com.incubator.core.util;

import it.unimi.dsi.util.XoRoShiRo128PlusPlusRandom;

public final class FairRngUtil {

    public final XoRoShiRo128PlusPlusRandom rd = new XoRoShiRo128PlusPlusRandom();
    public String serviceSeed;
    public String clientSeed;
    public int nonce;
    public int cursor;

    public boolean changed;

    /**
     * generate a long type seed for RNG to use
     */
    public void updateSeed() {
        // TODO currentSeed = f(serverSeed, clientSeed, nonce, cursor)
        long currentSeed = 6194869743065L;
        this.rd.setSeed(currentSeed);
    }


    public int nextInt(int range) {
        if (this.changed) {
            this.updateSeed();
            this.changed = false;
        }
        return this.rd.nextInt(range);
    }

    public String getServiceSeed() {
        return serviceSeed;
    }

    public void setServiceSeed(String serviceSeed) {
        this.serviceSeed = serviceSeed;
        changed = true;
    }

    public String getClientSeed() {
        return clientSeed;
    }

    public void setClientSeed(String clientSeed) {
        this.clientSeed = clientSeed;
        changed = true;
    }

    public int getNonce() {
        return nonce;
    }

    public void setNonce(int nonce) {
        this.nonce = nonce;
        changed = true;
    }

    public int getCursor() {
        return cursor;
    }

    public void setCursor(int cursor) {
        this.cursor = cursor;
        changed = true;
    }

    /**
     * 按权重选择,不会改变原始数组数据
     *
     * @param weights 概率数组
     * @return 返回选中的下标
     */
    public int weightsHit(int[] weights) {
        if (weights == null || weights.length == 1) {
            return 0;
        }
        int[] sum = new int[weights.length];
        sum[0] = weights[0];
        for (int i = 1; i < weights.length; i++) {
            sum[i] = sum[i - 1] + weights[i];
        }
        // 权重之和检测  不能为0
        int total = sum[sum.length - 1];
        if (total == 0) {
            System.err.println("权重数组参数错误, 累计权重之和为0;");
            return 0;
        }
        int random = this.nextInt(total);
        for (int index = 0; index < sum.length; index++) {
            if (random <= sum[index]) {
                return index;
            }
        }
        return 0;
    }
}
