package com.incubator.core.util;

import com.alibaba.fastjson2.JSONObject;
import com.alibaba.fastjson2.TypeReference;

/**
 * Json工具类
 */
public final class JsonUtil {

	/**
	 * json字符串反序列化成指定对象
	 *
	 * @param json json字符串
	 * @param clazz 指定对象
	 * @return
	 * @param <T>
	 */
	public static <T> T toObject(String json, Class<T> clazz) {
		return JSONObject.parseObject(json, clazz);
	}

	/**
	 * 对象序列化
	 *
	 * @param entity
	 * @return
	 * @param <T>
	 */
	public static <T> String toJson(T entity) {
		return JSONObject.toJSONString(entity);
	}

	/**
	 * json字符串转换成指定复杂类型对象 要多复杂有多复杂
	 *
	 * @param json
	 * @param typeReference
	 * @return
	 * @param <T>
	 */
	public static <T> T toCollection(String json, TypeReference<T> typeReference) {
		return JSONObject.parseObject(json, typeReference);
	}

}
