package com.incubator.game.data.config;

import com.incubator.common.log4j.Log4jUtil;
import com.incubator.game.data.data.GameData;
import com.incubator.game.data.data.ParametersCO;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;

import java.lang.reflect.Field;

/**
 * 全局参数配置管理
 */
public class GlobalConfig extends ParametersConfig {

	private static final Logger logger = Log4jUtil.getLogger(GlobalConfig.class);

	/** 自定义格式解析字段 **/


	private static void initParameters(GlobalConfig config) {
		for (ParametersCO param : GameData.Parameterss.values()) {
			try {
				Field field = config.getClass().getField(param.paramName.trim().replace(".", "_"));
				String typeName = field.getType().getSimpleName();
				switch (typeName) {
					case "int":
						field.set(config, Integer.parseInt(param.paramValue));
						break;
					case "long":
						field.set(config, Long.parseLong(param.paramValue));
						break;
					case "float":
						field.set(config, Float.parseFloat(param.paramValue));
						break;
					default:
						field.set(config, param.paramValue);
						break;
				}
			} catch (Exception e) {
				logger.error(param.paramName, "\t", param.paramType, "\t", param.paramValue, ", catch - ", e);
			}
		}
	}
	
	/**
	 * 加载策划脚本
	 */
	public static void init(boolean firstInit) {
		GlobalConfig config = new GlobalConfig();
		initParameters(config);

		//自定义格式解析

	}
}

