package com.incubator.game.data.genconfig;

import com.incubator.common.log4j.Log4jUtil;
import com.incubator.core.util.DataUtil;
import com.incubator.game.GGame;
import com.incubator.game.data.config.GlobalConfig;
import org.slf4j.Logger;

import java.io.File;
import java.io.FileFilter;

/**
 * 策划json转换成java数据文件
 */
public class JS2JMain {

	private static final Logger logger = Log4jUtil.getLogger(JS2JMain.class);

	private static int TableCount = 0;

	public static void writeClass(File parent) {
		File[] tables = parent.listFiles(new FileFilter() {
			@Override
			public boolean accept(File file) {
				if (file.isDirectory()) {
					// Out.info(file.getAbsolutePath());
					writeClass(file);
				}
				
				if (file.getName().endsWith(".json")) {
					DataUtil.writeClass(file);
					return true;
				}
				return false;
			}
		});
		if (tables != null) {
			TableCount += tables.length;
		}
	}

	public static void main(String[] args) {
		loadConfig(true);
		System.exit(0);
	}
	
	public static void loadConfig(boolean loadGameConfig) {
		try {
			if (loadGameConfig) {
				GGame.getInstance().initProperties();
			}

			File root = new File(GGame.DIR_GAME_DATA);
			DataUtil.setDir("src/main/java/com/incubator/game/data/data");
			// 设置某些对象的父类

			DataUtil.addExtClass("com.incubator.game.data.data");

			writeClass(root);
			logger.info("生成表格数: {}", TableCount);

			DataUtil.writeGameData();
			System.out.println("策划数据表转换完成!");
		} catch (Exception e) {
			logger.error("读取策划数据表出错...", e);
		}
	}
}
