package com.incubator.game.data.jdbc;

import com.incubator.core.db.handler.RowMapper;
import com.incubator.game.data.entity.AccountInfoPO;
import com.incubator.game.data.entity.GameLogPO;
import com.incubator.game.data.entity.GlobalInfoPO;
import com.incubator.game.data.entity.PlayerInfoPO;

import java.sql.ResultSet;
import java.sql.SQLException;

public class DBData {

	/**
	 * 账号信息对象
	 */
	public static class AccountMapper extends RowMapper<AccountInfoPO> {
		@Override
		public AccountInfoPO mapRow(ResultSet rs) throws SQLException {
			AccountInfoPO info = new AccountInfoPO();
			info.uid = rs.getInt(1);
			info.player_id = rs.getString(2);
			info.platform_id = rs.getInt(3);
			info.channel_id = rs.getInt(4);
			info.subchannel_id = rs.getInt(5);
			info.game_id = rs.getInt(6);
			info.phone_number = rs.getString(7);
			info.email_address = rs.getString(8);
			info.wallet_address = rs.getString(9);
			info.wallet_chain = rs.getString(10);
			info.share_code = rs.getString(11);
			info.last_game_id = rs.getInt(12);
			info.last_login_ip = rs.getString(13);
			info.last_login_time = rs.getDate(14);
			info.token = rs.getString(15);
			return info;
		}
	}

	/**
	 * 角色信息对象
	 */
	public static class PlayerMapper extends RowMapper<PlayerInfoPO> {
		@Override
		public PlayerInfoPO mapRow(ResultSet rs) throws SQLException {
			PlayerInfoPO info = new PlayerInfoPO();
			info.player_id = rs.getString(1);
			info.token = rs.getString(2);
//			info.arc_light_data = rs.getBytes(4);
//			info.meme_punks_data = rs.getBytes(5);
			return info;
		}
	}

	public static class GameLogMapper extends RowMapper<GameLogPO> {
		@Override
		public GameLogPO mapRow(ResultSet rs) throws SQLException {
			GameLogPO info = new GameLogPO();
			info.id = rs.getLong(1);
			info.player_id = rs.getString(2);
			info.game_id = rs.getInt(3);
			info.content = rs.getString(4);
			info.time = rs.getTimestamp(5);
			return info;
		}
	}

	public static class GlobalMapper extends RowMapper<GlobalInfoPO> {
		@Override
		public GlobalInfoPO mapRow(ResultSet rs) throws SQLException {
			GlobalInfoPO info = new GlobalInfoPO();
			info.server_id = rs.getInt(1);
			info.allBlobData = rs.getBytes(2);
			return info;
		}
	}
}
