package com.incubator.game.timer;

import com.incubator.core.quartz.QuartzTask;
import com.incubator.game.GGame;
import com.incubator.game.player.GPlayer;
import com.incubator.game.player.Player;
import com.incubator.game.room.RoomManager;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

/**
 * 每日刷新(每日00：00)
 */
public final class RefreshNewDay extends QuartzTask {

    @Override
    public String getName() {
        return "refreshNewDay";
    }

    @Override
    public String getGroup() {
        return "triggerGroup";
    }

    @Override
    public String getCrond() {
        return "0 0 0 * * ?";
    }

    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
        //0.先统计数据
        //1.刷新玩家数据
        Player player = null;
        for (GPlayer gPlayer : GGame.onlinePlayers.values()) {
            player = (Player) gPlayer;
            player.refreshNewDay();
        }
        //2.刷新全局模块数据
        RoomManager.getInstance().refreshNewDay();
    }
}
